# serial_transport_samD21j18a.c File Reference

Mercury API - Sample serial transport that does nothing. More...

`#include "tm_reader.h"`
`#include <asf.h>`
`#include <stdio.h>`

## Functions

void | sercom4Handler (void)
TMR_Status | TMR_SR_SerialTransportNativeInit (TMR_SR_SerialTransport *transport, TMR_SR_SerialPortNativeContext *context, const char *device)

## Detailed Description

Mercury API - Sample serial transport that does nothing.

Author:
  Pallav Joshi

Date:
  6/14/2016

## Function Documentation

void sercom4Handler | ( | void |  | ) |

Handles receive interrupt as it occur. Note:To use this interrupt handler you have to register it in usart_init() function as shown below. _sercom_set_handler(instance_index, sercom4Handler);

TMR_Status TMR_SR_SerialTransportNativeInit | ( | TMR_SR_SerialTransport * | transport,
|  | TMR_SR_SerialPortNativeContext * | context,
|  | const char * | device |
| ) |  |  |

Initialize a TMR_SR_SerialTransport structure with a given serial device.

Parameters:

  | transport | The TMR_SR_SerialTransport structure to initialize.
  | context | A TMR_SR_SerialPortNativeContext structure for the callbacks to use.
  | device | The path or name of the serial device (`/dev/ttyS0`, `COM1`)